
eXtplorer - PHP-based File Manager - Fehler #89

PHP5.4 / Joomla 2.5 Problems

11/04/2012 12:37 AM - Don White

Status: Gelöst   

Priority: Normal   

Assignee: Sören Eberhardt-Biermann   

Category: Bug   

Target version: 2.1.0   

eXtplorer Version: 2.1.0 RC5 Joomla! Version: none

Description

Since i installed eXtplorer v2.3.0, the PHP logs have shown these errors consistently:

PHP Strict Standards: Non-static method ext_Result::init() should not be called statically in

/home5/jrtcllcc/public_html/administrator/components/com_extplorer/admin.extplorer.php

PHP Strict Standards: Non-static method ext_Result::empty_errors() should not be called statically in

/home5/jrtcllcc/public_html/huskies1969/administrator/components/com_extplorer/include/result.class.php

Joomla version: 2.5.7

Apache version     2.2.23

PHP version     5.4.7

MySQL version     5.1.66-community-log

Architecture     x86_64

Operating system     linux

Kernel version     2.6.32-20121101.59.3

Any ideas? I appreciate any suggestions.

Thanks!

Don White

History

#1 - 12/12/2012 01:53 PM - Jürgen Vetter

It is the same problem with Joomla 1.7.3

The reason ist the PHP.

With PHP 5.2.x works fine.

With PHP 5.4.9:

Strict Standards: Non-static method ext_Lang::detect_lang() should not be called statically in

/homepages/26/d13474738/htdocs/CMS17_TEST/administrator/components/com_extplorer/include/init.php on line 103



Strict Standards: Non-static method ext_Result::init() should not be called statically in

/homepages/26/d13474738/htdocs/CMS17_TEST/administrator/components/com_extplorer/admin.extplorer.php on line 97

Strict Standards: Non-static method ext_Result::empty_errors() should not be called statically in

/homepages/26/d13474738/htdocs/CMS17_TEST/administrator/components/com_extplorer/include/result.class.php on line 40

Strict Standards: Non-static method ext_Result::empty_messages() should not be called statically in

/homepages/26/d13474738/htdocs/CMS17_TEST/administrator/components/com_extplorer/include/result.class.php on line 41

Strict Standards: Declaration of ext_List::execAction() should be compatible with ext_Action::execAction($dir, $item) in

/homepages/26/d13474738/htdocs/CMS17_TEST/administrator/components/com_extplorer/include/list.php on line 387

Best regards

JVe

#2 - 12/18/2012 04:38 PM - Jürgen Vetter

Hallo nochmal,

05/04/2025 1/2



mit Unterstützung von Sören Eberhardt-Biermann wurde das Problem bei mir gelöst.

Vielen Dank für die Hilfe.

Änderung in der Datei admin.extplorer.php :

if( defined( 'E_STRICT' ) ) { // Suppress Strict Standards Warnings

error_reporting(E_ALL);

}

zu

if( defined( 'E_STRICT' ) ) { // Suppress Strict Standards Warnings

error_reporting(E_ALL & ~E_STRICT & ~E_NOTICE);

}

#3 - 03/07/2013 07:17 AM - Sören Eberhardt-Biermann

- Category set to Bug

- Status changed from Neu to Gelöst

- Assignee set to Sören Eberhardt-Biermann

- Target version set to 2.1.0

- eXtplorer Version set to 2.1.0 RC5

- Joomla! Version set to none

#4 - 03/28/2015 11:01 PM - C haoz

For PHP 5.6 E_DEPRECATED needs to be addded:

if( defined( 'E_STRICT' ) ) { // Suppress Strict Standards Warnings

error_reporting(E_ALL & ~E_STRICT & ~E_NOTICE & ~E_DEPRECATED);

}
